const system=require("../../system");
const settings=require("../../../config/settings");
const uiconfig=system.getUiConfig2(settings.wxconfig.appId);
module.exports = (db, DataTypes) => {
  return db.define("profitcenter", {
    app_id:DataTypes.INTEGER,
    user_id:DataTypes.INTEGER,
    account_id:DataTypes.INTEGER,
    userName:DataTypes.STRING(50),
    nickName:DataTypes.STRING(50),
    opAppId:DataTypes.INTEGER,
    opUserId:DataTypes.INTEGER,
    opUserName:DataTypes.STRING(50),
    opNickName:DataTypes.STRING(50),
    opDesc:DataTypes.STRING(4000),
    opRemarks:DataTypes.STRING(2000),
    opTypeName:{
      type:DataTypes.STRING,
      defaultValue:"申请中",
    },
    opType:{
      type:DataTypes.ENUM,
      values: Object.keys(uiconfig.config.pdict.op_type),
      set:function(val){
        this.setDataValue("opType",val);
        this.setDataValue("opTypeName",uiconfig.config.pdict.op_type[val]);
      },
      defaultValue:"applying",
    },
    totalSum:DataTypes.DECIMAL(12,2),
    identityCard:DataTypes.STRING(20),
    cardNo:DataTypes.STRING(255),
    realName:DataTypes.STRING(255),
    cipherData:DataTypes.STRING(1000),
    signData:DataTypes.STRING(1000),
    tradeOrderNum:DataTypes.STRING,//交易订单号
    bankTradeNum:DataTypes.STRING,//银行流水号
    opIdentify:DataTypes.STRING,//操作标识
  },{
     paranoid: true,//假的删除
     underscored: true,
     version: true,
     freezeTableName: true,
     //freezeTableName: true,
     // define the table's name
     tableName: 'h_profitcenter',
     validate: {

     },
     indexes:[
       // Create a unique index on email
        //  {
        //    unique: true,
        //    fields: ['email']
        //  },
         //
        //  // Creates a gin index on data with the jsonb_path_ops operator
        //  {
        //    fields: ['data'],
        //    using: 'gin',
        //    operator: 'jsonb_path_ops'
        //  },
         //
        //  // By default index name will be [table]_[fields]
        //  // Creates a multi column partial index
        //  {
        //    name: 'public_by_author',
        //    fields: ['author', 'status'],
        //    where: {
        //      status: 'public'
        //    }
        //  },
         //
        //  // A BTREE index with a ordered field
        //  {
        //    name: 'title_index',
        //    method: 'BTREE',
        //    fields: ['author', {attribute: 'title', collate: 'en_US', order: 'DESC', length: 5}]
        //  }
     ]
  });
}
